> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# एंडपॉइंट सूचीबद्ध करें

> क्षमता-आधारित गेटवे एंडपॉइंट को सार्वजनिक पथ और मॉडल/प्रदाता कवरेज के साथ सूचीबद्ध करें।

* `endpoints`: API द्वारा अभी उपलब्ध कराए गए मानक एंडपॉइंट ID
* `data`: `public_path`, `collection`, `model_count` और `provider_count` वाले एंडपॉइंट रिकॉर्ड
* `sample_models`: सार्वजनिक कैटलॉग से हाल में दिखे अधिकतम 10 मॉडल ID

किसी मॉडल के लिए प्रदाता और पैरामीटर स्तर का विवरण चाहिए तो [मॉडल एंडपॉइंट क्षमताएँ सूचीबद्ध करें](./model-endpoints.mdx) का उपयोग करें।


## OpenAPI

````yaml hi/openapi/v1/openapi.localized.yaml GET /endpoints
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    OpenAI-संगत एंडपॉइंट के माध्यम से विभिन्न AI मॉडल तक पहुँचने के लिए एक गेटवे
    API।
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: वैश्विक रूटिंग
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /endpoints:
    get:
      tags:
        - Gateway
      summary: एंडपॉइंट की सूची बनाएँ
      description: >-
        क्षमताओं पर आधारित गेटवे endpoint ID की सूची उनके सार्वजनिक पथ, modality
        संग्रह, मॉडल और प्रदाता की संख्या तथा नमूना मॉडल सहित देता है।
      operationId: listEndpoints
      responses:
        '200':
          description: एंडपॉइंट मेटाडेटा
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointCatalogueResponse'
components:
  schemas:
    EndpointCatalogueResponse:
      type: object
      required:
        - ok
        - endpoints
        - data
        - sample_models
      properties:
        ok:
          type: boolean
          enum:
            - true
        endpoints:
          type: array
          items:
            type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/EndpointCatalogueEntry'
        sample_models:
          type: array
          items:
            $ref: '#/components/schemas/ModelId'
      additionalProperties: false
    EndpointCatalogueEntry:
      type: object
      required:
        - id
        - capability_id
        - public_path
        - collection
        - model_count
        - provider_count
      properties:
        id:
          type: string
        capability_id:
          type: string
        public_path:
          type: string
        collection:
          type: string
        model_count:
          type: integer
          minimum: 0
        provider_count:
          type: integer
          minimum: 0
      additionalProperties: false
    ModelId:
      type: string
      description: >-
        मॉडल पहचानकर्ता। यह runtime string है, इसलिए नए जारी हुए मॉडल SDK अपडेट
        की प्रतीक्षा किए बिना उपयोग किए जा सकते हैं।
      example: ai21/jamba-1.5-large
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer टोकन से प्रमाणीकरण

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.